Skip to main content
PUT
/
v1
/
fast-apply
/
{leadId}
/
principals
Save Fast Apply Principals
curl --request PUT \
  --url https://api.example.com/v1/fast-apply/{leadId}/principals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "principals": [
    {
      "title": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com",
      "phoneNumber": "<string>",
      "addressLine1": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zip": "<string>",
      "country": "<string>",
      "identificationId": "<string>",
      "identificationIssuingState": "<string>",
      "identificationIssuingCountry": "<string>",
      "dob": "<string>",
      "ssn": "<string>",
      "addressLine2": "<string>",
      "bankruptcy": false,
      "isManagingDirector": false,
      "identificationExpiresAt": "<string>",
      "percentOwnership": 62.5,
      "id": "<string>"
    }
  ]
}
'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "leadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "role": "<string>",
    "percentOwnership": 123,
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "jsmith@example.com",
    "phoneNumber": "<string>",
    "dob": "<string>",
    "ssn": "<string>",
    "addressLabel": "<string>",
    "addressLine1": "<string>",
    "addressLine2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "zip": "<string>",
    "bankruptcy": true,
    "isManagingDirector": true,
    "identificationId": "<string>",
    "identificationIssuedAt": "<string>",
    "identificationExpiresAt": "<string>",
    "identificationIssuingState": "<string>",
    "identificationIssuingCountry": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

leadId
string
required

Body

application/json
principals
object[]
required
Minimum array length: 1

Response

The saved principals.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
leadId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
title
string | null
Maximum string length: 80
role
string | null
Maximum string length: 50
percentOwnership
number | null
firstName
string | null
Maximum string length: 80
lastName
string | null
Maximum string length: 80
email
string<email> | null
Maximum string length: 256
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
phoneNumber
string | null
Maximum string length: 32
dob
string | null
ssn
string | null
addressLabel
string | null
Maximum string length: 80
addressLine1
string | null
Maximum string length: 100
addressLine2
string | null
Maximum string length: 50
city
string | null
Maximum string length: 50
state
string | null
Maximum string length: 2
country
string | null
Maximum string length: 2
zip
string | null
Maximum string length: 10
validationStatus
enum<string> | null
Available options:
not_validated,
validated,
invalid
bankruptcy
boolean | null
isManagingDirector
boolean | null
identificationType
enum<string> | null
Available options:
driving_license,
driving_permit,
id_card,
passport
identificationId
string | null
Maximum string length: 25
identificationIssuedAt
string | null
identificationExpiresAt
string | null
identificationIssuingState
string | null
Maximum string length: 2
identificationIssuingCountry
string | null
Maximum string length: 2